package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag298;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT298Creator;

/**
 * @author huangmengyuan
 * @create 2023/3/1
 */
public class Tag12Creator extends AbsTagCreate {
    private MT298Creator mt298Creator;
    public Tag12Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt298Creator = (MT298Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag12Value = mt298Creator.getSubMessageType();
        mt298Creator.set("12",tag12Value);
    }
}
